package controllers

import (
	"XT_New/service"
	"github.com/astaxie/beego"
)

type GdybController struct {
	BaseAuthAPIController
}

func GdybRegistRouters() {
	beego.Router("/gdyb/one", &GdybController{}, "get:PostOne")
	beego.Router("/gdyb/two", &GdybController{}, "get:PostTwo")
	beego.Router("/gdyb/three", &GdybController{}, "get:PostThree")
	beego.Router("/gdyb/four", &GdybController{}, "get:PostFour")
	beego.Router("/gdyb/five", &GdybController{}, "get:PostFive")
	beego.Router("/gdyb/six", &GdybController{}, "get:PostSix")
	beego.Router("/gdyb/seven", &GdybController{}, "get:PostSeven")
	beego.Router("/gdyb/eight", &GdybController{}, "get:PostEight")
	beego.Router("/gdyb/nine", &GdybController{}, "get:PostNine")
}

//provinces, _ := service.GetDistrictsByUpid(0)21

func (c *GdybController) PostOne() {
	certNo := c.GetString("cert_no")
	result := service.Gdyb1101(certNo)
	c.ServeSuccessJSON(map[string]interface{}{
		"pre": result,
	})
}

func (c *GdybController) PostTwo() {
	psnNo := c.GetString("psn_no")
	insutype := c.GetString("insutype")
	certNo := c.GetString("cert_no")
	result := service.Gdyb2201(psnNo,insutype,certNo)
	c.ServeSuccessJSON(map[string]interface{}{
		"pre": result,
	})
}

func (c *GdybController) PostThree() {
	psnNo := c.GetString("psn_no")
	mdtrtId := c.GetString("mdtrt_id")
	result := service.Gdyb2202(psnNo,mdtrtId)
	c.ServeSuccessJSON(map[string]interface{}{
		"pre": result,
	})
}

func (c *GdybController) PostFour() {
	psnNo := c.GetString("psn_no")
	mdtrtId := c.GetString("mdtrt_id")
	result := service.Gdyb2203(psnNo,mdtrtId)
	c.ServeSuccessJSON(map[string]interface{}{
		"pre": result,
	})
}

func (c *GdybController) PostFive() {
	psnNo := c.GetString("psn_no")
	mdtrtId := c.GetString("mdtrt_id")
	result := service.Gdyb2204(psnNo,mdtrtId)
	c.ServeSuccessJSON(map[string]interface{}{
		"pre": result,
	})
}

func (c *GdybController) PostSix() {
	psnNo := c.GetString("psn_no")
	mdtrtId := c.GetString("mdtrt_id")
	chrgBchno := c.GetString("chrg_bchno")
	result := service.Gdyb2205(psnNo,mdtrtId,chrgBchno)
	c.ServeSuccessJSON(map[string]interface{}{
		"pre": result,
	})
}

func (c *GdybController) PostSeven() {
	psnNo := c.GetString("psn_no")
	mdtrtId := c.GetString("mdtrt_id")
	chrgBchno := c.GetString("chrg_bchno")
	certNo := c.GetString("cert_no")
	insutype := c.GetString("insutype")
	result := service.Gdyb2206(psnNo,mdtrtId,chrgBchno,certNo,insutype)
	c.ServeSuccessJSON(map[string]interface{}{
		"pre": result,
	})
}

func (c *GdybController) PostEight() {
	psnNo := c.GetString("psn_no")
	mdtrtId := c.GetString("mdtrt_id")
	chrgBchno := c.GetString("chrg_bchno")
	certNo := c.GetString("cert_no")
	insutype := c.GetString("insutype")
	result := service.Gdyb2207(psnNo,mdtrtId,chrgBchno,certNo,insutype)
	c.ServeSuccessJSON(map[string]interface{}{
		"pre": result,
	})
}

func (c *GdybController) PostNine() {
	psnNo := c.GetString("psn_no")
	mdtrtId := c.GetString("mdtrt_id")
	setlId := c.GetString("setl_id")
	result := service.Gdyb2208(psnNo,mdtrtId,setlId)
	c.ServeSuccessJSON(map[string]interface{}{
		"pre": result,
	})
}