package models

type XtHisProject struct {
	ID                        int64   `gorm:"column:id" json:"id" form:"id"`
	ProjectName               string  `gorm:"column:project_name" json:"project_name" form:"project_name"`
	Pinyin                    string  `gorm:"column:pinyin" json:"pinyin" form:"pinyin"`
	Wubi                      string  `gorm:"column:wubi" json:"wubi" form:"wubi"`
	Price                     float64 `gorm:"column:price" json:"price" form:"price"`
	Unit                      string  `gorm:"column:unit" json:"unit" form:"unit"`
	CostClassify              int64   `gorm:"column:cost_classify" json:"cost_classify" form:"cost_classify"`
	ExecutiveSection          int64   `gorm:"column:executive_section" json:"executive_section" form:"executive_section"`
	MedicalCoverage           int64   `gorm:"column:medical_coverage" json:"medical_coverage" form:"medical_coverage"`
	StatisticalClassification int64   `gorm:"column:statistical_classification" json:"statistical_classification" form:"statistical_classification"`
	DiseaseDirectory          int64   `gorm:"column:disease_directory" json:"disease_directory" form:"disease_directory"`
	IsRecord                  int64   `gorm:"column:is_record" json:"is_record" form:"is_record"`
	MedicalCode               string  `gorm:"column:medical_code" json:"medical_code" form:"medical_code"`
	TubeColor                 int64   `gorm:"column:tube_color" json:"tube_color" form:"tube_color"`
	MedicalStatus             int64   `gorm:"column:medical_status" json:"medical_status" form:"medical_status"`
	Remark                    string  `gorm:"column:remark" json:"remark" form:"remark"`
	Sign                      int64   `gorm:"column:sign" json:"sign" form:"sign"`
	DefaultNumber             string  `gorm:"column:default_number" json:"default_number" form:"default_number"`
	IsDefault                 int64   `gorm:"column:is_default" json:"is_default" form:"is_default"`
	IsCharge                  int64   `gorm:"column:is_charge" json:"is_charge" form:"is_charge"`
	IsEstimate                int64   `gorm:"column:is_estimate" json:"is_estimate" form:"is_estimate"`
	IsWorkload                int64   `gorm:"column:is_workload" json:"is_workload" form:"is_workload"`
	Sort                      string  `gorm:"column:sort" json:"sort" form:"sort"`
	DoctorAdvice              int64   `gorm:"column:doctor_advice" json:"doctor_advice" form:"doctor_advice"`
	UserOrgId                 int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                    int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime               int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime               int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	SingleDose                string  `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	ExecutionFrequency        string  `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	DeliveryWay               string  `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	NumberDays                string  `gorm:"column:number_days" json:"number_days" form:"number_days"`
	Total                     string  `gorm:"column:total" json:"total" form:"total"`
}

func (XtHisProject) TableName() string {
	return "xt_his_project"
}

type XtHisProjectTeam struct {
	ID          int64   `gorm:"column:id" json:"id" form:"id"`
	ProjectTeam string  `gorm:"column:project_team" json:"project_team" form:"project_team"`
	Price       float64 `gorm:"column:price" json:"price" form:"price"`
	Pinyin      string  `gorm:"column:pinyin" json:"pinyin" form:"pinyin"`
	Wubi        string  `gorm:"column:wubi" json:"wubi" form:"wubi"`
	TubeColor   int64   `gorm:"column:tube_color" json:"tube_color" form:"tube_color"`
	TeamType    int64   `gorm:"column:team_type" json:"team_type" form:"team_type"`
	Remark      string  `gorm:"column:remark" json:"remark" form:"remark"`
	UserOrgId   int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status      int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	ProjectId   string  `gorm:"column:project_id" json:"project_id" form:"project_id"`
}

func (XtHisProjectTeam) TableName() string {
	return "xt_his_project_team"
}

type XtHisDepartment struct {
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	Name        string `gorm:"column:name" json:"name" form:"name"`
	Number      string `gorm:"column:number" json:"number" form:"number"`
	UserOrgId   int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status      int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (XtHisDepartment) TableName() string {
	return "xt_his_department"
}

type HisPatient struct {
	ID                     int64   `gorm:"column:id" json:"id" form:"id"`
	BalanceAccountsType    int64   `gorm:"column:balance_accounts_type" json:"balance_accounts_type" form:"balance_accounts_type"`
	MedicalInsuranceNumber string  `gorm:"column:medical_insurance_number" json:"medical_insurance_number" form:"medical_insurance_number"`
	Name                   string  `gorm:"column:name" json:"name" form:"name"`
	Gender                 int64   `gorm:"column:gender" json:"gender" form:"gender"`
	IdType                 int64   `gorm:"column:id_type" json:"id_type" form:"id_type"`
	Birthday               int64   `gorm:"column:birthday" json:"birthday" form:"birthday"`
	RecordDate             int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	Age                    int64   `gorm:"column:age" json:"age" form:"age"`
	PhoneNumber            string  `gorm:"column:phone_number" json:"phone_number" form:"phone_number"`
	IdNumber               string  `gorm:"column:id_number" json:"id_number" form:"id_number"`
	RegisterType           int64   `gorm:"column:register_type" json:"register_type" form:"register_type"`
	Doctor                 int64   `gorm:"column:doctor" json:"doctor" form:"doctor"`
	Departments            int64   `gorm:"column:departments" json:"departments" form:"departments"`
	IsNeedCostOfProduction int64   `gorm:"column:is_need_cost_of_production" json:"is_need_cost_of_production" form:"is_need_cost_of_production"`
	RegisterCost           float64 `gorm:"column:register_cost" json:"register_cost" form:"register_cost"`
	TreatmentCost          float64 `gorm:"column:treatment_cost" json:"treatment_cost" form:"treatment_cost"`
	CostOfProduction       float64 `gorm:"column:cost_of_production" json:"cost_of_production" form:"cost_of_production"`
	Total                  float64 `gorm:"column:total" json:"total" form:"total"`
	UserOrgId              int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                 int64   `gorm:"column:status" json:"status" form:"status"`
	Ctime                  int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                  int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

func (HisPatient) TableName() string {
	return "his_patient"
}

type HisPrescriptionVm struct {
	ID           int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId    int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	RecordDate   int64  `gorm:"column:record_date" json:"record_date" form:"record_date"`
	PatientId    int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId int64  `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	Status       int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime        int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime        int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Number       string `gorm:"column:number" json:"number" form:"number"`
	Type         int64  `gorm:"column:type" json:"type" form:"type"`
	Doctor       int64  `gorm:"column:doctor" json:"doctor" form:"doctor"`
	Creator      int64  `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier     int64  `gorm:"column:modifier" json:"modifier" form:"modifier"`
	Name         string
}

type HisCaseHistoryTemplate struct {
	ID                      int64  `gorm:"column:id" json:"id" form:"id"`
	HistoryOfPresentIllness string `gorm:"column:history_of_present_illness" json:"history_of_present_illness" form:"history_of_present_illness"`
	PastHistory             string `gorm:"column:past_history" json:"past_history" form:"past_history"`
	ChiefConplaint          string `gorm:"column:chief_conplaint" json:"chief_conplaint" form:"chief_conplaint"`
	PersonalHistory         string `gorm:"column:personal_history" json:"personal_history" form:"personal_history"`
	FamilyHistory           string `gorm:"column:family_history" json:"family_history" form:"family_history"`
	Diagnostic              string `gorm:"column:diagnostic" json:"diagnostic" form:"diagnostic"`
	UserOrgId               int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                  int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime                   int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                   int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	RecordDate              int64  `gorm:"column:record_date" json:"record_date" form:"record_date"`
	TemplateName            string `gorm:"column:template_name" json:"template_name" form:"template_name"`
	TemplateRemark          string `gorm:"column:template_remark" json:"template_remark" form:"template_remark"`
	Creator                 int64  `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier                int64  `gorm:"column:modifier" json:"modifier" form:"modifier"`
}

func (HisCaseHistoryTemplate) TableName() string {
	return "his_patient"
}

type HisDoctorAdviceInfo struct {
	ID                    int64   `gorm:"column:id" json:"id" form:"id"`
	UserOrgId             int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId             int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId          int64   `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	AdviceType            int64   `gorm:"column:advice_type" json:"advice_type" form:"advice_type"`
	AdviceDate            int64   `gorm:"column:advice_date" json:"advice_date" form:"advice_date"`
	StartTime             int64   `gorm:"column:start_time" json:"start_time" form:"start_time"`
	AdviceName            string  `gorm:"column:advice_name" json:"advice_name" form:"advice_name"`
	AdviceDesc            string  `gorm:"column:advice_desc" json:"advice_desc" form:"advice_desc"`
	ReminderDate          int64   `gorm:"column:reminder_date" json:"reminder_date" form:"reminder_date"`
	SingleDose            float64 `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	SingleDoseUnit        string  `gorm:"column:single_dose_unit" json:"single_dose_unit" form:"single_dose_unit"`
	PrescribingNumber     float64 `gorm:"column:prescribing_number" json:"prescribing_number" form:"prescribing_number"`
	PrescribingNumberUnit string  `gorm:"column:prescribing_number_unit" json:"prescribing_number_unit" form:"prescribing_number_unit"`
	DeliveryWay           string  `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency    string  `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	AdviceDoctor          int64   `gorm:"column:advice_doctor" json:"advice_doctor" form:"advice_doctor"`
	Status                int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime           int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime           int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	AdviceAffirm          string  `gorm:"column:advice_affirm" json:"advice_affirm" form:"advice_affirm"`
	Remark                string  `gorm:"column:remark" json:"remark" form:"remark"`
	StopTime              int64   `gorm:"column:stop_time" json:"stop_time" form:"stop_time"`
	StopReason            string  `gorm:"column:stop_reason" json:"stop_reason" form:"stop_reason"`
	StopDoctor            int64   `gorm:"column:stop_doctor" json:"stop_doctor" form:"stop_doctor"`
	StopState             int64   `gorm:"column:stop_state" json:"stop_state" form:"stop_state"`
	ParentId              int64   `gorm:"column:parent_id" json:"parent_id" form:"parent_id"`
	ExecutionTime         int64   `gorm:"column:execution_time" json:"execution_time" form:"execution_time"`
	ExecutionStaff        int64   `gorm:"column:execution_staff" json:"execution_staff" form:"execution_staff"`
	ExecutionState        int64   `gorm:"column:execution_state" json:"execution_state" form:"execution_state"`
	Checker               int64   `gorm:"column:checker" json:"checker" form:"checker"`
	RecordDate            int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	DialysisOrderId       int64   `gorm:"column:dialysis_order_id" json:"dialysis_order_id" form:"dialysis_order_id"`
	CheckTime             int64   `gorm:"column:check_time" json:"check_time" form:"check_time"`
	CheckState            int64   `gorm:"column:check_state" json:"check_state" form:"check_state"`
	DrugSpec              float64 `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	DrugSpecUnit          string  `gorm:"column:drug_spec_unit" json:"drug_spec_unit" form:"drug_spec_unit"`
	Groupno               int64   `gorm:"column:groupno" json:"groupno" form:"groupno"`
	RemindType            int64   `gorm:"column:remind_type" json:"remind_type" form:"remind_type"`
	FrequencyType         int64   `gorm:"column:frequency_type" json:"frequency_type" form:"frequency_type"`
	DayCount              int64   `gorm:"column:day_count" json:"day_count" form:"day_count"`
	WeekDay               string  `gorm:"column:week_day" json:"week_day" form:"week_day"`
	TemplateId            string  `gorm:"column:template_id" json:"template_id" form:"template_id"`
	Modifier              int64   `gorm:"column:modifier" json:"modifier" form:"modifier"`
	DrugId                int64   `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
	Price                 float64 `gorm:"column:price" json:"price" form:"price"`
	PrescriptionId        int64   `gorm:"column:prescription_id" json:"prescription_id" form:"prescription_id"`
}

func (HisDoctorAdviceInfo) TableName() string {
	return "his_doctor_advice_info"
}

type HisGroupAdvice struct {
	HisDoctorAdviceInfo
	Children []*HisGroupAdvice
}

type HisPatientCaseHistory struct {
	ID                      int64   `gorm:"column:id" json:"id" form:"id"`
	PatientId               int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId            int64   `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	Temperature             float64 `gorm:"column:temperature" json:"temperature" form:"temperature"`
	BloodSugar              float64 `gorm:"column:blood_sugar" json:"blood_sugar" form:"blood_sugar"`
	Pulse                   float64 `gorm:"column:pulse" json:"pulse" form:"pulse"`
	Sbp                     float64 `gorm:"column:sbp" json:"sbp" form:"sbp"`
	Dbp                     float64 `gorm:"column:dbp" json:"dbp" form:"dbp"`
	Height                  float64 `gorm:"column:height" json:"height" form:"height"`
	BloodFat                float64 `gorm:"column:blood_fat" json:"blood_fat" form:"blood_fat"`
	SickType                int64   `gorm:"column:sick_type" json:"sick_type" form:"sick_type"`
	Symptom                 string  `gorm:"column:symptom" json:"symptom" form:"symptom"`
	SickDate                int64   `gorm:"column:sick_date" json:"sick_date" form:"sick_date"`
	IsInfect                int64   `gorm:"column:is_infect" json:"is_infect" form:"is_infect"`
	HistoryOfPresentIllness string  `gorm:"column:history_of_present_illness" json:"history_of_present_illness" form:"history_of_present_illness"`
	PastHistory             string  `gorm:"column:past_history" json:"past_history" form:"past_history"`
	Doctor                  int64   `gorm:"column:doctor" json:"doctor" form:"doctor"`
	ChiefConplaint          string  `gorm:"column:chief_conplaint" json:"chief_conplaint" form:"chief_conplaint"`
	PersonalHistory         string  `gorm:"column:personal_history" json:"personal_history" form:"personal_history"`
	FamilyHistory           string  `gorm:"column:family_history" json:"family_history" form:"family_history"`
	Diagnostic              string  `gorm:"column:diagnostic" json:"diagnostic" form:"diagnostic"`
	UserOrgId               int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                  int64   `gorm:"column:status" json:"status" form:"status"`
	Ctime                   int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                   int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	RecordDate              int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
}

func (HisPatientCaseHistory) TableName() string {
	return "his_patient_case_history"
}

type HisPatientInfo struct {
	ID           int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId    int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	RecordDate   int64  `gorm:"column:record_date" json:"record_date" form:"record_date"`
	PatientId    int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId int64  `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	Status       int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime        int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime        int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Creator      int64  `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier     int64  `gorm:"column:modifier" json:"modifier" form:"modifier"`
	Diagnosis    string `gorm:"column:diagnosis" json:"diagnosis" form:"diagnosis"`
	SickType     string `gorm:"column:sick_type" json:"sick_type" form:"sick_type"`
	PType        string `gorm:"column:p_type" json:"p_type" form:"p_type"`
}

func (HisPatientInfo) TableName() string {
	return "his_patient_info"
}

type HisPrescription struct {
	ID                     int64                     `gorm:"column:id" json:"id" form:"id"`
	UserOrgId              int64                     `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	RecordDate             int64                     `gorm:"column:record_date" json:"record_date" form:"record_date"`
	PatientId              int64                     `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId           int64                     `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	Status                 int64                     `gorm:"column:status" json:"status" form:"status"`
	Ctime                  int64                     `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                  int64                     `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Number                 string                    `gorm:"column:number" json:"number" form:"number"`
	Type                   int64                     `gorm:"column:type" json:"type" form:"type"`
	Doctor                 int64                     `gorm:"column:doctor" json:"doctor" form:"doctor"`
	Creator                int64                     `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier               int64                     `gorm:"column:modifier" json:"modifier" form:"modifier"`
	HisDoctorAdviceInfo    []*HisDoctorAdviceInfo    `gorm:"ForeignKey:PatientId,RecordDate,PrescriptionId;AssociationForeignKey:PatientId,RecordDate,ID" json:"advices"`
	HisPrescriptionProject []*HisPrescriptionProject `gorm:"ForeignKey:PatientId,RecordDate,PrescriptionId;AssociationForeignKey:PatientId,RecordDate,ID" json:"project"`
}

func (HisPrescription) TableName() string {
	return "his_prescription"
}

type HisProject struct {
	ID                        int64   `gorm:"column:id" json:"id" form:"id"`
	ProjectName               string  `gorm:"column:project_name" json:"project_name" form:"project_name"`
	Pinyin                    string  `gorm:"column:pinyin" json:"pinyin" form:"pinyin"`
	Wubi                      string  `gorm:"column:wubi" json:"wubi" form:"wubi"`
	Price                     float64 `gorm:"column:price" json:"price" form:"price"`
	Unit                      string  `gorm:"column:unit" json:"unit" form:"unit"`
	CostClassify              int64   `gorm:"column:cost_classify" json:"cost_classify" form:"cost_classify"`
	ExecutiveSection          int64   `gorm:"column:executive_section" json:"executive_section" form:"executive_section"`
	MedicalCoverage           int64   `gorm:"column:medical_coverage" json:"medical_coverage" form:"medical_coverage"`
	StatisticalClassification int64   `gorm:"column:statistical_classification" json:"statistical_classification" form:"statistical_classification"`
	DiseaseDirectory          int64   `gorm:"column:disease_directory" json:"disease_directory" form:"disease_directory"`
	IsRecord                  int64   `gorm:"column:is_record" json:"is_record" form:"is_record"`
	MedicalCode               string  `gorm:"column:medical_code" json:"medical_code" form:"medical_code"`
	TubeColor                 int64   `gorm:"column:tube_color" json:"tube_color" form:"tube_color"`
	MedicalStatus             int64   `gorm:"column:medical_status" json:"medical_status" form:"medical_status"`
	Remark                    string  `gorm:"column:remark" json:"remark" form:"remark"`
	Sign                      int64   `gorm:"column:sign" json:"sign" form:"sign"`
	DefaultNumber             string  `gorm:"column:default_number" json:"default_number" form:"default_number"`
	IsDefault                 int64   `gorm:"column:is_default" json:"is_default" form:"is_default"`
	IsCharge                  int64   `gorm:"column:is_charge" json:"is_charge" form:"is_charge"`
	IsEstimate                int64   `gorm:"column:is_estimate" json:"is_estimate" form:"is_estimate"`
	IsWorkload                int64   `gorm:"column:is_workload" json:"is_workload" form:"is_workload"`
	Sort                      string  `gorm:"column:sort" json:"sort" form:"sort"`
	DoctorAdvice              int64   `gorm:"column:doctor_advice" json:"doctor_advice" form:"doctor_advice"`
	UserOrgId                 int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                    int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime               int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime               int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (HisProject) TableName() string {
	return "xt_his_project"
}

type HisProjectTeam struct {
	ID          int64   `gorm:"column:id" json:"id" form:"id"`
	ProjectTeam string  `gorm:"column:project_team" json:"project_team" form:"project_team"`
	Price       float64 `gorm:"column:price" json:"price" form:"price"`
	Pinyin      string  `gorm:"column:pinyin" json:"pinyin" form:"pinyin"`
	Wubi        string  `gorm:"column:wubi" json:"wubi" form:"wubi"`
	TubeColor   int64   `gorm:"column:tube_color" json:"tube_color" form:"tube_color"`
	TeamType    int64   `gorm:"column:team_type" json:"team_type" form:"team_type"`
	Remark      string  `gorm:"column:remark" json:"remark" form:"remark"`
	UserOrgId   int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status      int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	ProjectId   string  `gorm:"column:project_id" json:"project_id" form:"project_id"`
}

func (HisProjectTeam) TableName() string {
	return "xt_his_project_team"
}

type HisAdditionalCharge struct {
	ID           int64   `gorm:"column:id" json:"id" form:"id"`
	PatientId    int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Price        float64 `gorm:"column:price" json:"price" form:"price"`
	AdminUserId  int64   `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	UserOrgId    int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	RecordDate   int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	CreatedTime  int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime  int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Status       int64   `gorm:"column:status" json:"status" form:"status"`
	ItemName     string  `gorm:"column:item_name" json:"item_name" form:"item_name"`
	HisPatientId int64   `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	ItemId       int64   `gorm:"column:item_id" json:"item_id" form:"item_id"`
	Creator      int64   `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier     int64   `gorm:"column:modifier" json:"modifier" form:"modifier"`
}

func (HisAdditionalCharge) TableName() string {
	return "his_additional_charge"
}

type HisDoctorAdviceParentTemplate struct {
	ID                      int64                      `gorm:"column:id" json:"id" form:"id"`
	OrgId                   int64                      `gorm:"column:org_id" json:"org_id" form:"org_id"`
	Name                    string                     `gorm:"column:name" json:"name" form:"name"`
	Status                  int64                      `gorm:"column:status" json:"status" form:"status"`
	CreatedTime             int64                      `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime             int64                      `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	AdviceType              int64                      `gorm:"column:advice_type" json:"advice_type" form:"advice_type"`
	HisDoctorAdviceTemplate []*HisDoctorAdviceTemplate `gorm:"ForeignKey:TemplateId;AssociationForeignKey:ID" json:"advices"`
}

func (HisDoctorAdviceParentTemplate) TableName() string {
	return "his_doctor_advice_parent_template"
}

type HisDoctorAdviceTemplate struct {
	ID                    int64   `gorm:"column:id" json:"id" form:"id"`
	OrgId                 int64   `gorm:"column:org_id" json:"org_id" form:"org_id"`
	AdviceName            string  `gorm:"column:advice_name" json:"advice_name" form:"advice_name"`
	AdviceDesc            string  `gorm:"column:advice_desc" json:"advice_desc" form:"advice_desc"`
	SingleDose            float64 `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	SingleDoseUnit        string  `gorm:"column:single_dose_unit" json:"single_dose_unit" form:"single_dose_unit"`
	PrescribingNumber     float64 `gorm:"column:prescribing_number" json:"prescribing_number" form:"prescribing_number"`
	PrescribingNumberUnit string  `gorm:"column:prescribing_number_unit" json:"prescribing_number_unit" form:"prescribing_number_unit"`
	DeliveryWay           string  `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency    string  `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	AdviceDoctor          int64   `gorm:"column:advice_doctor" json:"advice_doctor" form:"advice_doctor"`
	Status                int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime           int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime           int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	TemplateId            int64   `gorm:"column:template_id" json:"template_id" form:"template_id"`
	DrugSpec              string  `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	DrugSpecUnit          string  `gorm:"column:drug_spec_unit" json:"drug_spec_unit" form:"drug_spec_unit"`
	ParentId              int64   `gorm:"column:parent_id" json:"parent_id" form:"parent_id"`
	AdviceType            int64   `gorm:"column:advice_type" json:"advice_type" form:"advice_type"`
	DayCount              int64   `gorm:"column:day_count" json:"day_count" form:"day_count"`
	WeekDays              string  `gorm:"column:week_days" json:"week_days" form:"week_days"`
	FrequencyType         int64   `gorm:"column:frequency_type" json:"frequency_type" form:"frequency_type"`
	DrugId                int64   `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
	Way                   int64   `gorm:"column:way" json:"way" form:"way"`
	DrugNameId            int64   `gorm:"column:drug_name_id" json:"drug_name_id" form:"drug_name_id"`
}

func (HisDoctorAdviceTemplate) TableName() string {
	return "his_doctor_advice_template"
}

type HisPrescriptionProject struct {
	ID             int64   `gorm:"column:id" json:"id" form:"id"`
	ProjectId      int64   `gorm:"column:project_id" json:"project_id" form:"project_id"`
	Price          float64 `gorm:"column:price" json:"price" form:"price"`
	UserOrgId      int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status         int64   `gorm:"column:status" json:"status" form:"status"`
	Ctime          int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime          int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	PatientId      int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId   int64   `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	RecordDate     int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	PrescriptionId int64   `gorm:"column:prescription_id" json:"prescription_id" form:"prescription_id"`
}

func (HisPrescriptionProject) TableName() string {
	return "his_prescription_project"
}

type SchedulesVm struct {
	ID           int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId    int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PartitionId  int64  `gorm:"column:partition_id" json:"partition_id" form:"partition_id"`
	BedId        int64  `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	PatientId    int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	ScheduleDate int64  `gorm:"column:schedule_date" json:"schedule_date" form:"schedule_date"`
	ScheduleType int64  `gorm:"column:schedule_type" json:"schedule_type" form:"schedule_type"`
	ScheduleWeek int64  `gorm:"column:schedule_week" json:"schedule_week" form:"schedule_week"`
	ModeId       int64  `gorm:"column:mode_id" json:"mode_id" form:"mode_id"`
	Status       int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime  int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime  int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Name         string `gorm:"column:name" json:"name" form:"name"`
	IdCardNo     string `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
}

type HisProjectListVm struct {
	ID           int64   `gorm:"column:id" json:"id" form:"id"`
	Number       int64   `gorm:"column:number" json:"number" form:"number"`
	UserOrgId    int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	ProjectId    int64   `gorm:"column:project_id" json:"project_id" form:"project_id"`
	Status       int64   `gorm:"column:status" json:"status" form:"status"`
	Price        float64 `gorm:"column:price" json:"price" form:"price"`
	Unit         string  `gorm:"column:unit" json:"unit" form:"unit"`
	ProjectName  string  `gorm:"column:project_name" json:"project_name" form:"project_name"`
	CostClassify int64   `gorm:"column:cost_classify" json:"cost_classify" form:"cost_classify"`
}

type XtHisProjectList struct {
	ID          int64 `gorm:"column:id" json:"id" form:"id"`
	Number      int64 `gorm:"column:number" json:"number" form:"number"`
	UserOrgId   int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	ProjectId   int64 `gorm:"column:project_id" json:"project_id" form:"project_id"`
	Status      int64 `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64 `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64 `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (XtHisProjectList) TableName() string {
	return "xt_his_project_list"
}

type XtHisPatient struct {
	ID                     int64   `gorm:"column:id" json:"id" form:"id"`
	BalanceAccountsType    int64   `gorm:"column:balance_accounts_type" json:"balance_accounts_type" form:"balance_accounts_type"`
	MedicalInsuranceNumber string  `gorm:"column:medical_insurance_number" json:"medical_insurance_number" form:"medical_insurance_number"`
	Name                   string  `gorm:"column:name" json:"name" form:"name"`
	Gender                 int64   `gorm:"column:gender" json:"gender" form:"gender"`
	IdType                 int64   `gorm:"column:id_type" json:"id_type" form:"id_type"`
	MedicalTreatmentType   int64   `gorm:"column:medical_treatment_type" json:"medical_treatment_type" form:"medical_treatment_type"`
	Birthday               int64   `gorm:"column:birthday" json:"birthday" form:"birthday"`
	RecordDate             int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	Age                    int64   `gorm:"column:age" json:"age" form:"age"`
	PhoneNumber            string  `gorm:"column:phone_number" json:"phone_number" form:"phone_number"`
	IdCardNo               string  `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	RegisterType           int64   `gorm:"column:register_type" json:"register_type" form:"register_type"`
	AdminUserId            int64   `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	Departments            int64   `gorm:"column:departments" json:"departments" form:"departments"`
	IsNeedCostOfProduction int64   `gorm:"column:is_need_cost_of_production" json:"is_need_cost_of_production" form:"is_need_cost_of_production"`
	RegisterCost           float64 `gorm:"column:register_cost" json:"register_cost" form:"register_cost"`
	TreatmentCost          float64 `gorm:"column:treatment_cost" json:"treatment_cost" form:"treatment_cost"`
	CostOfProduction       float64 `gorm:"column:cost_of_production" json:"cost_of_production" form:"cost_of_production"`
	Total                  float64 `gorm:"column:total" json:"total" form:"total"`
	UserOrgId              int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                 int64   `gorm:"column:status" json:"status" form:"status"`
	Ctime                  int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                  int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	PatientId              int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Number                 string  `gorm:"column:number" json:"number" form:"number"`
}

func (XtHisPatient) TableName() string {
	return "his_patient"
}
